            #GIT_CMT=592c51a8d80705a054cdc3b7cdd695a45e9f56b4
Name:           nvme-cli
Version:        1.9
Release:    2.el7
Summary:        Core nvme tools

License:        GPL
URL:            https://github.com/linux-nvme/nvme-cli
#Source0:        https://github.com/linux-nvme/%{name}/archive/%{commit0}.tar.gz
Source0: nvme-cli-1.9.tar.bz2

BuildRequires:	libuuid-devel
Provides:       nvme
Requires(post): util-linux

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

%description
NVMe is a fast, scalable, direct attached storage interface. The nvme
cli rpm installs core management tools with minimal dependencies.

%prep
%setup

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make install-spec DESTDIR=%{buildroot} PREFIX=/usr LIBDIR=/usr/lib64

%files
%defattr(-,root,root)
%doc Documentation/nvme*.1
%{_sbindir}/nvme
%{_mandir}/man1/nvme*.1*
%{_datadir}/bash-completion/completions/nvme
%{_datadir}/zsh/site-functions/_nvme
%dir %{_sysconfdir}/nvme
%{_sysconfdir}/nvme/hostnqn
%{_sysconfdir}/nvme/hostid
%{_sysconfdir}/nvme/discovery.conf
%{_libdir}/udev/rules.d/70-nvmf-autoconnect.rules
%{_libdir}/dracut/dracut.conf.d/70-nvmf-autoconnect.conf
%{_libdir}/systemd/system/nvmf-connect@.service
%{_libdir}/systemd/system/nvmefc-boot-connections.service
%{_libdir}/systemd/system/nvmf-connect.target

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 -eq 1 ]; then # 1 : This package is being installed for the first time
        if [ ! -s %{_sysconfdir}/nvme/hostnqn ]; then
                echo $(nvme gen-hostnqn) > %{_sysconfdir}/nvme/hostnqn
        fi
        if [ ! -s %{_sysconfdir}/nvme/hostid ]; then
                uuidgen > %{_sysconfdir}/nvme/hostid
        fi

        # apply udev and systemd changes that we did
        systemctl daemon-reload
        udevadm control --reload-rules && udevadm trigger
fi

%changelog
* Fri Feb 28 2020 Edward Leung <edward.leung@oracle.com> - 1.9-2.el7
- Added Build requirement for libuuid-devel (Edward Leung)  
- Bump release: rebuild with libuuid-devel (Lukas Lemes)  

* Fri Jan 24 2020 Edward Leung <edward.leung@oracle.com> - 1.9-1.el7
- Checkin specfiles

* Fri Jan 24 2020 Edward Leung <edward.leung@oracle.com> - 1.9-1
- Update to 1.9-1

